#!/usr/bin/env bash
##############################################################################
#
# Simple script to generate tag search list for zn
#
##############################################################################

listentry() {
    list=$(rg '^\#[a-zA-Z0-9]' *.md)
    for i in $list
    do
        filename=$(echo $i | cut -d':' -f1)
        datetime=${filename::8}
        tag=$(echo $i | cut -d':' -f2)
        title=$(head -1 $filename | sed 's/\# //')

        echo "($datetime): $tag: $title"
     done
}

listentry "" | sort -rn 

